import request from '@/utils/request'
const baseUrl = '/api/upcloud-base-wh-dev-mysql-eistest'
export function getContainerLocationByContainerNoAndPalletNo(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/containerLocation/get-containerLocation-containerNoAndPalletNo',
    method: 'get',
    params: params,
    // params: params
  })
}

export function stationadd(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/eisStationService/station/add',
    method: 'post',
    data: params,
    // params: params
  })
}

// stationupdate
export function stationupdate(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/eisStationService/station/update',
    method: 'post',
    data: params,
    // params: params
  })
}

//   /eisStationService/station/delete

export function stationdelete(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/eisStationService/station/delete',
    method: 'post',
    //   data: params,
    params: params,
  })
}
// 故障信息 GET

export function deviceInfo(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/deviceInfo/sel-malfunction',
    method: 'get',
    //   data: params,
    params: params,
  })
}
